umbrello: ImageTypeWidget Class Reference

umbrello 2.38.0 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Signals | Public Member Functions | Private Slots | Private Attributes | List of all members
ImageTypeWidget Class Reference

`#include <imagetypewidget.h>`

Inheritance diagram for ImageTypeWidget:

## Signals
void | currentIndexChanged (const QString &index)

## Public Member Functions
| ImageTypeWidget (const QStringList &imageTypes, const QString &_default, QWidget *parent=0)
QString | currentType ()

## Private Slots
void | slotCurrentIndexChanged (const QString &index)

## Private Attributes
QLabel * | m_label
KComboBox * | m_comboBox
| The image type selected.

## Constructor & Destructor Documentation

## ◆ ImageTypeWidget()

ImageTypeWidget::ImageTypeWidget | ( | const QStringList & | imageTypes,
|  | const QString & | _default,
|  | QWidget * | parent = `0`
| ) |  |
| explicit

Constructor

Parameters

  imageTypes | A list of image types the user should be able to select from.
  _default | String which is selected by default.
  parent | Parent widget

## Member Function Documentation

## ◆ currentIndexChanged

void ImageTypeWidget::currentIndexChanged | ( | const QString & | index | ) |
| signal

## ◆ currentType()

QString ImageTypeWidget::currentType | ( |  | ) |

Return current type as string.

Returns
  String with currently selected type.

## ◆ slotCurrentIndexChanged

void ImageTypeWidget::slotCurrentIndexChanged | ( | const QString & | index | ) |
| privateslot

Slot to export index changed signal from the combo box.

Parameters

  index |

## Member Data Documentation

## ◆ m_comboBox

KComboBox* ImageTypeWidget::m_comboBox
| private

The image type selected.

## ◆ m_label

QLabel* ImageTypeWidget::m_label
| private

The documentation for this class was generated from the following files:

- umbrello/dialogs/widgets/imagetypewidget.h
- umbrello/dialogs/widgets/imagetypewidget.cpp